% out = binaryop(op,in1,in2, inplace)
%
% binaryop performs a binary operation on the two images in1 and in2
% op contains the name of the operation:
%     some examples: Minimum, Add, Subtract, Multiply, ...
%
% This is part of the OTB Matlab Toolbox
% 
% author: Rik Bellens


function out = binaryop(op,in1,in2, inplace)

if nargin<4, inplace = false;end
    
filter = VerySmartPointer(['itk' op 'ImageFilter' suffix(in1), suffix(in2), suffix(in1)]);
filter.Call('SetInput1',in1);
filter.Call('SetInput2',in2);
filter.Call('SetInPlace',inplace);
filter.Call('Update');
out = filter.Call('GetOutput');
out.Call('DisconnectPipeline');

